cURL
curl --request POST \ --url https://api.crawlkit.sh/v1/crawl/tiktok/profile \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "username": "<string>", "options": { "timeout": 30500 } } '
{ "success": true, "data": { "profile": { "id": "<string>", "secUid": "<string>", "username": "<string>", "nickname": "<string>", "bio": "<string>", "bioLink": "<string>", "avatar": "<string>", "verified": true, "privateAccount": true, "isOrganization": true, "commerceUser": true, "category": "<string>", "language": "<string>", "region": "<string>", "createdAt": "<string>", "stats": { "followers": 123, "following": 123, "likes": 123, "videos": 123, "friends": 123, "digg": 123 } }, "timing": { "total": 123 }, "creditsUsed": 123, "creditsRemaining": 123 } }
Scrapes a public TikTok profile and returns user info, stats (followers, following, likes, videos). Costs 1 credit.
API key with 'ApiKey ' prefix (e.g., ApiKey ck_...)
TikTok username (e.g., "nike" or "@nike")
1 - 100
Show child attributes
Default Response
true
Was this page helpful?